petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoAppendOptionsPrefix

Appends to the prefix used for searching for all TAO options in the database.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoAppendOptionsPrefix(Tao tao, const char p[])

Logically Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| prefix | - the prefix string to prepend to all TAO option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

TaoSetOptionsPrefix(), TaoGetOptionsPrefix()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages